coins/urls.py
from django.urls import path
from .views import *

app_name = 'coins'

urlpatterns = [
    path('', view=FileView.as_view(),
         name='main'),
    path('ajax/', view=ajax,
         name='ajax'),
]

djangoCoins/urls.py
from django.conf import settings
from django.urls import path, include
from django.conf.urls.static import static

urlpatterns = [
    path('', include('coins.urls')),
]

if settings.DEBUG:
    if settings.MEDIA_ROOT:
        urlpatterns += static(settings.MEDIA_URL,
                              document_root=settings.MEDIA_ROOT)
        urlpatterns += static(settings.STATIC_URL,
                              document_root=settings.STATIC_ROOT)

coins/views.py
from django.views.generic import TemplateView
from .file_processor import processFiles
from django.views.decorators.csrf import csrf_exempt
from django.http import JsonResponse


@csrf_exempt
def ajax(request, *args, **kwargs):
    if request.is_ajax:
        files = request.FILES.getlist('file')
        parameters = processFiles(files)
        return JsonResponse({"parameters": parameters}, status=200)


class FileView(TemplateView):
    template_name = 'coins/file.html'

coins/templates/base.html
{% load i18n %}
{% load static %}
<!DOCTYPE html>
<html xmlns:fb="http://www.facebook.com/2008/fbml" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>{% block title %}FILES{% endblock %}</title>
<meta name="description" content="{% block description %}{% endblock %}">
{# <link rel="shortcut icon" href="{% static 'quiz/brand.ico' %}" type="image/x-icon"> #}
<!-- styles -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/css2?family=Oswald:wght@200&display=swap" rel="stylesheet">
<link rel="stylesheet" href="{% static 'coins/dropzone.min.css' %}">
<style>
body {
    font-family: 'Oswald', sans-serif;
    background: #fefcea;
    background: linear-gradient(to bottom, #F5F5F5, #FFFFFF);
}
</style>
<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
<!--[if lt IE 9]>
<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>

<body>

<div class="container my-5">

    <h1 class="display-1 mt-3">Interview Task</h1>
    <hr>
    {% block content %}
    {% endblock %}

</div>
<br>
<br>
<br>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script
  src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"
  integrity="sha256-T0Vest3yCU7pafRw9r+settMBX6JkKN06dqBnpQ8d30="
  crossorigin="anonymous"></script>
<script
  src="https://code.jquery.com/jquery-3.6.0.min.js"
  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
  crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
<script src="{% static 'coins/dropzone.min.js' %}"></script>
{% block script %}
{% endblock %}
</body>
</html>

coins/templates/coins/file.html
{% extends "base.html" %}

{% block content %}
    
<div class="container mt-5">
    <form method="post" action="{% url 'coins:ajax' %}" enctype="multipart/form-data">

      <div class="dropzone-previews"></div>
      <div id="DropZone" class="dropzone">
          <div class="dz-message" data-dz-message><span>Загрузите фото с монетами в данное поле</span></div>
      </div>
        
    </form>
</div>
<p class="h3 my-3"><span class="text-muted">Всего монет - <span id="count_coins">0</span>. Всего рублей - <span id="count_rubles">0</span></p>
<hr>
<div id="wrapper" class="container mt-3 w-75">        
</div>

{% endblock %}

{% block script %}
<script>
    Dropzone.autoDiscover = false;
    $("div#DropZone").dropzone({
        url: "{% url 'coins:ajax' %}",
        paramName: "file",
        success: function(file, response){
            console.log(response["parameters"]);
            var $span = $('#count_coins');
            $count = Math.floor($span.text()) + response["parameters"]["all_coins"]; 
            $span.html($count);

            var $span_rubles = $('#count_rubles');
            $count_rubles = Math.floor($span_rubles.text()) + response["parameters"]["images"][0]["total_rubles"]; 
            $span_rubles.html($count_rubles);

            $("#wrapper").append(`<div class="row border border-1 border-info my-1"><div class="col-4 text-center"><p>Средний цвет: RGB ${response["parameters"]["images"][0]["average_color"]}</p><div style="background: RGB(${response["parameters"]["images"][0]["average_color"][0]}, ${response["parameters"]["images"][0]["average_color"][1]}, ${response["parameters"]["images"][0]["average_color"][2]});" class="w-100 h-50"></div></div><div class="col-8"><p class="h5">Имя изображения: <span class="text-muted">${response["parameters"]["images"][0]["name"]}</span></p><p class="h5">Ширина изображения: <span class="text-muted">${response["parameters"]["images"][0]["width"]}</span></p><p class="h5">Высота изображения: <span class="text-muted">${response["parameters"]["images"][0]["height"]}</span></p><p class="h5">Количество монет: <span class="text-muted">${response["parameters"]["all_coins"]}</span></p><p class="h5">Сумма рублей: <span class="text-muted">${response["parameters"]["images"][0]["total_rubles"]}</span></p></div></div></div>`);
        }

    });
</script>
{% endblock %}